---
stage: Create
group: Code Review
info: To determine the technical writer assigned to the Stage/Group associated with this page, see https://about.gitlab.com/handbook/product/ux/technical-writing/#assignments
---

<!--
This documentation is auto generated by a script.
Please do not edit this file directly. Run `make gen-docs` instead.
-->

# `glab mr checkout`

Check out an open merge request.

```plaintext
glab mr checkout [<id> | <branch>] [flags]
```

## Examples

```plaintext
$ glab mr checkout 1
$ glab mr checkout branch
$ glab mr checkout 12 --branch todo-fix
$ glab mr checkout new-feature --set-upstream-to=upstream/main

# Uses the checked-out branch
$ glab mr checkout

```

## Options

```plaintext
  -b, --branch string            Check out merge request with name <branch>.
  -u, --set-upstream-to string   Set tracking of checked-out branch to [REMOTE/]BRANCH.
```

## Options inherited from parent commands

```plaintext
      --help              Show help for this command.
  -R, --repo OWNER/REPO   Select another repository. Can use either OWNER/REPO or `GROUP/NAMESPACE/REPO` format. Also accepts full URL or Git URL.
```
